LayoutPosition (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.LayoutPosition class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum LayoutPosition

    java.lang.Object
      java.lang.Enum<LayoutPosition>
          org.richfaces.component.LayoutPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LayoutPosition>

    public enum LayoutPosition

extends java.lang.Enum<LayoutPosition>

Author:
  asmirnov

Enum Constant Summary
`bottom`
`center`
`left`
`right`
`top`

Method Summary
`static LayoutPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LayoutPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### center

    public static final LayoutPosition center

### left

    public static final LayoutPosition left

### right

    public static final LayoutPosition right

### top

    public static final LayoutPosition top

### bottom

    public static final LayoutPosition bottom

Method Detail

### values

    public static final LayoutPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LayoutPosition c : LayoutPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LayoutPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.